import { Connection } from '@workbench-stack/extension-api';
import { IEditorInput } from '@workbench-stack/core';
import { IEditorWindowsService } from '../../services/windows-service';
export declare class ClientEditorWindows {
    private windowService;
    private subscriptions;
    constructor(connection: Connection, windowService: IEditorWindowsService);
    $openWindow(content: IEditorInput): number;
    $closeWindow(content: IEditorInput): void;
    $updateWindow(content: IEditorInput): void;
    $selectWindow(content: IEditorInput): void;
    unsubscribe(): void;
}
